<?php
/**
 * Admin View: Importer - Done!
 *
 * @package WooCommerce Wallet Management
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit();

?>
<div class="wc-progress-form-content woocommerce-importer">
	<section class="woocommerce-importer-done">
		<?php
		$results = [];

		if ( 0 < $imported ) {
			$results[] = sprintf(
				/* translators: %d: users count */
				_n( '%s users imported', '%s users imported', $imported, 'ddwc-wallet-management' ),
				'<strong>' . number_format_i18n( $imported ) . '</strong>'
			);
		}

		if ( 0 < $updated ) {
			$results[] = sprintf(
				/* translators: %d: users count */
				_n( '%s users updated', '%s users updated', $updated, 'ddwc-wallet-management' ),
				'<strong>' . number_format_i18n( $updated ) . '</strong>'
			);
		}

		if ( 0 < $skipped ) {
			$results[] = sprintf(
				/* translators: %d: users count */
				_n( '%s users was skipped', '%s users were skipped', $skipped, 'ddwc-wallet-management' ),
				'<strong>' . number_format_i18n( $skipped ) . '</strong>'
			);
		}

		if ( 0 < $failed ) {
			$results[] = sprintf(
				/* translators: %d: users count */
				_n( 'Failed to import %s users', 'Failed to import %s users', $failed, 'ddwc-wallet-management' ),
				'<strong>' . number_format_i18n( $failed ) . '</strong>'
			);
		}

		if ( 0 < $failed || 0 < $skipped ) {
			$results[] = '<a href="#" class="woocommerce-importer-done-view-errors">' . __( 'View import log', 'ddwc-wallet-management' ) . '</a>';
		}

		/* translators: %d: import results */
		echo wp_kses_post( __( 'Import complete!', 'ddwc-wallet-management' ) . ' ' . implode( '. ', $results ) );
		?>
	</section>
	<section class="wc-importer-error-log" style="display:none">
		<table class="widefat wc-importer-error-log-table">
			<thead>
				<tr>
					<th><?php esc_html_e( 'User', 'ddwc-wallet-management' ); ?></th>
					<th><?php esc_html_e( 'Reason for failure', 'ddwc-wallet-management' ); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				if ( count( $errors ) ) {
					foreach ( $errors as $error ) {
						if ( ! is_wp_error( $error ) ) {
							continue;
						}
						$error_data = $error->get_error_data();
						?>
						<tr>
							<th><code><?php echo esc_html( $error_data[ 'row' ] ); ?></code></th>
							<td><?php echo esc_html( $error->get_error_message() ); ?></td>
						</tr>
						<?php
					}
				}
				?>
			</tbody>
		</table>
	</section>
	<script type="text/javascript">
		jQuery(function() {
			jQuery( '.woocommerce-importer-done-view-errors' ).on( 'click', function() {
				jQuery( '.wc-importer-error-log' ).slideToggle();
				return false;
			} );
		} );
	</script>
	<div class="wc-actions">
		<a class="button button-primary" href="<?php echo esc_url( admin_url( "admin.php?page={$_GET['page']}" ) ); ?>"><?php esc_html_e( 'View Users', 'ddwc-wallet-management' ); ?></a>
	</div>
</div>
