<?php
/**
 * Front ajax hooks class
 *
 * @package WooCommerce Wallet Management
 * @version 1.0.0
 */

namespace DDWCWalletManagement\Includes\Front;

defined( 'ABSPATH' ) || exit();

if ( ! class_exists( 'DDWCWM_Front_Ajax_Hooks' ) ) {
	/**
	 * Front ajax hooks class
	 */
	class DDWCWM_Front_Ajax_Hooks extends DDWCWM_Front_Ajax_Functions {
		/**
		 * Construct
		 */
		public function __construct() {
			add_action( 'wp_ajax_ddwcwm_add_wallet_amount_in_session', [ $this, 'ddwcwm_add_wallet_amount_in_session' ] );
			add_action( 'wp_ajax_ddwcwm_remove_wallet_amount_from_session', [ $this, 'ddwcwm_remove_wallet_amount_from_session' ] );
			add_action( 'wp_ajax_ddwcwm_send_money_to_user', [ $this, 'ddwcwm_send_money_to_user' ] );
			add_action( 'wp_ajax_ddwcwm_request_money_from_user', [ $this, 'ddwcwm_request_money_from_user' ] );
			add_action( 'wp_ajax_ddwcwm_withdraw_money_from_user', [ $this, 'ddwcwm_withdraw_money_from_user' ] );
			add_action( 'wp_ajax_ddwcwm_sent_otp_to_user', [ $this, 'ddwcwm_sent_otp_to_user' ] );
			add_action( 'wp_ajax_ddwcwm_wallet_refer_to_user', [ $this, 'ddwcwm_wallet_refer_to_user' ] );
		}
	}
}
